diff --git a/src/runtime/thread.c b/src/runtime/thread.c
index 1889213..e57bb26 100644
--- a/src/runtime/thread.c
+++ b/src/runtime/thread.c
@@ -58,8 +58,8 @@
 #define LOCK_CREATE_THREAD
 #endif
 
-#ifdef LISP_FEATURE_FREEBSD
-#define CREATE_CLEANUP_THREAD
+#if defined(LISP_FEATURE_FREEBSD) || defined(LISP_FEATURE_DRAGONFLY)
+#define CREATE_POST_MORTEM_THREAD
 #define LOCK_CREATE_THREAD
 #endif
 
@@ -337,6 +337,7 @@ schedule_thread_post_mortem(struct thread *corpse)
         /* Finally run, the cleanup, if any. */
         perform_thread_post_mortem(post_mortem);
 #elif defined(CREATE_POST_MORTEM_THREAD)
+        pthread_t thread;
         gc_assert(!pthread_create(&thread, NULL, perform_thread_post_mortem, post_mortem));
 #else
         post_mortem = (struct thread_post_mortem *)
